plot {dimRed} | R Documentation

## Plotting of dimRed* objects

### Description

Plots a object of class dimRedResult and dimRedData. For the documentation of the plotting function in base see here: `plot.default`.

### Usage

    plot(x, y, ...)

    ## S4 method for signature 'dimRedData,ANY'
    plot(x, type = "pairs",
      vars = seq_len(ncol(x@data)), col = seq_len(min(3, ncol(x@meta))),
      ...)

    ## S4 method for signature 'dimRedResult,ANY'
    plot(x, type = "pairs",
      vars = seq_len(ncol(x@data@data)), col = seq_len(min(3,
      ncol(x@data@meta))), ...)

### Arguments

`x` | dimRedResult/dimRedData class, e.g. output of embedded/loadDataSet
`y` | Ignored
`...` | handed over to the underlying plotting function.
`type` | plot type, one of `c("pairs", "parpl", "2vars", "3vars", "3varsrgl")`
`vars` | the axes of the embedding to use for plotting
`col` | the columns of the meta slot to use for coloring, can be referenced as the column names or number of x@data

### Details

Plotting functions for the classes usind in `dimRed`. they are intended to give a quick overview over the results, so they are somewhat inflexible, e.g. it is hard to modify color scales or plotting parameters.

If you require more control over plotting, it is better to convert the object to a `data.frame` first and use the standard functions for plotting.

### Methods (by class)

- `x = dimRedData,y = ANY`: Ploting of dimRedData objects

- `x = dimRedResult,y = ANY`: Ploting of dimRedResult objects.

### Examples

    scurve = loadDataSet("3D S Curve")
    plot(scurve, type = "pairs", main = "pairs plot of S curve")
    plot(scurve, type = "parpl")
    plot(scurve, type = "2vars", vars = c("y", "z"))
    plot(scurve, type = "3vars")

[Package dimRed version 0.2.2 Index]